#include "BinarySearchTree.h"
#include <iostream>

int main()
{
	BinarySearchTree<double> tree;
	double valor;

	while ( true )
	{
		std::cout << "Valor " << tree.count() + 1 << ": ";
		std::cin >> valor;
		if ( valor == 0.0 )
			break;
		tree.insert(valor);
	};

	size_t i = 0;
	for ( typename BinarySearchTree<double>::ConstIterator itr = tree.begin(); itr != tree.end(); ++itr )
		std::cout << ++i << ": " << *itr << std::endl;

	std::cout << std::endl;
	return 0;
}
